ZF-2694: Zend_Validate_Ip does not support IPv6

Description

As reported by [~andries], Zend_Validate_Ip does not support IPv6 addresses.

Comments

This issue should have been fixed for the 1.5 release.

This doesn't appear to have been fixed in 1.5.0. Please update if this is not correct.

Please evaluate and categorize/assign as necessary.

Implemented with r13098